<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MeasurementState Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMeasurementState.html">MeasurementState</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#af58e992abd4c0ee86d5869007825c336">double_nan</a></td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#ae8c2f2a07574b75755c7eccb8667b6fb">DumpCurrentValues</a>(QStringList &amp;stringList)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a2d02c33eb53630f5bd8444a2f56768b8">Get</a>(int key) const </td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#aa83b85383a05112b240541f13a87a56f">GetHeaders</a>() const </td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a5f820cd447cfc9ddc40d2d452780630a">IndexOfField</a>(QString name)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54">Invalidate</a>(const int key)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a4cb445fcf2de3a29d3501ea77726da7d">MeasurementState</a>()</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#ab9ed2e684bc8a61d15cc29147c6cc10b">names</a></td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a0518a210bc1954d89c589a8d06689fec">operator[]</a>(const int key) const </td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#adeb1ea79e7301613ec53b842fb932383">RegisterField</a>(QString name, QString unit, bool vol=false)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a312c21e83aa65bb749ecae5d1da4fd24">Renew</a>()</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#a27b183b4d9e801472db73d54d8ad147b">units</a></td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c">Update</a>(int key, double value)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#afea35a04c0552ce7fb4607a1037ca48f">Update</a>(QString name, double value)</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#a44ff0875852289039d3440f7a3b73d89">values</a></td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#a41364e915d6ff9fc4a5fd3138e90d3c0">vol</a></td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMeasurementState.html#ae5001cd76c226e93af617625b4b32c1d">Volatile</a>(int key) const </td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMeasurementState.html#a7d755f894afdcb8a71c48c6928f0ffe1">~MeasurementState</a>()</td><td class="entry"><a class="el" href="classMeasurementState.html">MeasurementState</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
